org.modeshape.jcr.cache.change

## Class NodeSequenced

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.AbstractSequencingChange
      - - org.modeshape.jcr.cache.change.NodeSequenced

- All Implemented Interfaces:
    Serializable

      public class NodeSequenced
      extends AbstractSequencingChange

  Change which is triggered after the sequencing process of a node is finished.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeSequenced(NodeKey sequencedNodeKey, Path sequencedNodePath, Name sequencedNodePrimaryType, Set<Name> sequencedNodeMixinTypes, NodeKey outputNodeKey, Path outputNodePath, String outputPath, String userId, String selectedPath, String sequencerName, boolean queryable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getOutputNodeKey()` Get the key of the top-level node that was output by the sequencer.
    `Path` | `getOutputNodePath()` Get the path of the top-level node that was output by the sequencer.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractSequencingChange

      `getOutputPath, getSelectedPath, getSequencerName, getUserId`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeSequenced

          public NodeSequenced(NodeKey sequencedNodeKey,
                       Path sequencedNodePath,
                       Name sequencedNodePrimaryType,
                       Set<Name> sequencedNodeMixinTypes,
                       NodeKey outputNodeKey,
                       Path outputNodePath,
                       String outputPath,
                       String userId,
                       String selectedPath,
                       String sequencerName,
                       boolean queryable)

  - ### Method Detail

    - #### getOutputNodeKey

          public NodeKey getOutputNodeKey()

      Get the key of the top-level node that was output by the sequencer.
      Returns:
        the output node key; never null

    - #### getOutputNodePath

          public Path getOutputNodePath()

      Get the path of the top-level node that was output by the sequencer.
      Returns:
        the output node path; never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.